set auto_path [linsert $auto_path 0 [pwd]]

package require Tk
package require autoscroll

proc CreateScrolledWidget { wType w args } {
    if { [winfo exists $w.par] } {
        destroy $w.par
    }
    ttk::frame $w.par
    pack $w.par -side top -fill both -expand 1
    $wType $w.par.widget \
           -xscrollcommand "$w.par.xscroll set" \
           -yscrollcommand "$w.par.yscroll set" {*}$args
    ttk::scrollbar $w.par.xscroll -command "$w.par.widget xview" -orient horizontal
    ttk::scrollbar $w.par.yscroll -command "$w.par.widget yview" -orient vertical
    set rowNo 0
    grid $w.par.widget $w.par.yscroll -sticky news
    grid $w.par.xscroll               -sticky ew

    grid rowconfigure    $w.par $rowNo -weight 1
    grid columnconfigure $w.par 0      -weight 1

    autoscroll::autoscroll $w.par.xscroll
    autoscroll::autoscroll $w.par.yscroll

    return $w.par.widget
}

proc CreateScrolledText { w args } {
    return [CreateScrolledWidget text $w {*}$args]
}

frame .fr
pack .fr -expand true -fill both
set t [CreateScrolledText .fr -width 60 -height 10 -wrap none]

set retVal [catch {open TestAutoscroll.txt r} fp]
$t insert end [read $fp]
close $fp
